<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CSS Introduction and Selectors</title>


    <!-- External CSS -->
    <link rel="stylesheet" href="style.css">

</head>

<body>

    <!-- inline styling -->
    <h1 style="color:burlywood;">Hello World!</h1>

    <h2 style="font-size: 30px;">Welcome to Zuitt!</h2>

    <!-- internal styling -->

    <style>
        [type="text"] {
            background-color: coral;
        }

        /* using type selector */
        form {
            border: 1px solid black;
            padding: 20px;
        }

        /* using class selector */
        .lorem {
            color: red;
        }

        /* using ID selector */
        #button {
            height: 50px;
            width: 100px;
        }
    </style>
    <form>
        <label for="first">First Name:</label>
        <input type="text" id="first">
        <br />
        <label for="last">Last Name:</label>
        <input type="text" id="last">
        <br />
        <label for="email">Email:</label>
        <input type="email" id="email">
        <br />
        <label for="pass">Password:</label>
        <input type="password" id="pass">
        <br />
        <button id="button">Submit</button>
    </form>
    <p class="lorem">
        Lorem ipsum dolor sit amet, consectetur adipisicing elit. Expedita ab neque aperiam doloribus temporibus, eius
        repellendus corporis, soluta officiis dignissimos voluptas exercitationem, architecto id molestiae ex pariatur
        aliquam ducimus in?
    </p>

    <!-- Selector Combinators -->
    <!-- div.parent>p*2+section>p -->
    <div class="parent">
        <p>First Paragraph</p>
        <p>Second Paragraph</p>
        <section>
            <p>Third Paragraph</p>
        </section>
    </div>

    <!-- div>p*2 -->
    <p>Fourth Paragraph</p>
    <p>Fifth Paragraph</p>

    <div>
        <p>Sixth Paragraph</p>
        <p>Seventh Paragraph</p>
    </div>

    <div>
        <p>Eighth Paragraph</p>
        <p>Ninth Paragraph</p>
    </div>


</body>

</html>